## kf6-kguiaddons 6.6.0

=== src/geo-scheme-handler/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(kde-geo-uri-handler
    kgeourihandler.cpp
    kgeourihandler_p.h
    main.cpp
)
ecm_mark_nongui_executable(kde-geo-uri-handler)
target_include_directories(kde-geo-uri-handler PRIVATE "${CMAKE_BINARY_DIR}/src") # for kguiaddons_version.h
target_link_libraries(kde-geo-uri-handler PRIVATE Qt6::Gui)

install(TARGETS kde-geo-uri-handler ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
install(
    FILES
        google-maps-geo-handler.desktop
        openstreetmap-geo-handler.desktop
        qwant-maps-geo-handler.desktop
        wheelmap-geo-handler.desktop
    DESTINATION
        ${KDE_INSTALL_APPDIR}
)

## kf6-kguiaddons 6.3.0

=== debian/changelog ===
kf6-kguiaddons (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable the geo scheme handler.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Jun 2024 12:05:35 +0200

kf6-kguiaddons (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:44:14 +0200

kf6-kguiaddons (6.0.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 14 May 2024 08:27:32 +0200

kf6-kguiaddons (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 30 Mar 2024 01:38:09 +0100

kguiaddons (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 11:21:11 +0100

kguiaddons (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:27 +0200

kguiaddons (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:48 +0100

kguiaddons (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:22 +0100

kguiaddons (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update symbols from build for 5.102.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:00 +0100

kguiaddons (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:21 +0100

kguiaddons (5.100.0-3) unstable; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Nov 2022 07:50:44 +0100

kguiaddons (5.100.0-2) unstable; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.
  * Remove breaks/replaces for existing packages with versions older than
    oldstable.

 -- Pino Toscano <pino@debian.org>  Sun, 20 Nov 2022 17:13:48 +0100

kguiaddons (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.99.0.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.100.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:56 +0100

kguiaddons (5.98.0-2) unstable; urgency=medium

  * Team upload.
  * Mark a Linux-only symbol in the symbols file as linux-any.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the manually specified pkgkde_symbolshelper addon for dh

 -- Pino Toscano <pino@debian.org>  Thu, 06 Oct 2022 07:55:52 +0200

kguiaddons (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:35 +0200

kguiaddons (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:27 +0200

kguiaddons (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Refresh lintian overrides.
  * Move the desktop files for kde-geo-uri-handler to libkf5guiaddons-
    bin alongside the binary.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:56 +0200

kguiaddons (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:02 +0200

kguiaddons (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove inactive Uploaders.
  * Remove the unused ${shlibs:Depends} substvar from libkf5guiaddons-data.

 -- Pino Toscano <pino@debian.org>  Sat, 14 May 2022 17:49:46 +0200

kguiaddons (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * Update the list of installed files.
  * Add libkf5guiaddons-data and libkf5guiaddons-bin packages to split shared
    data and the new kde-geo-uri-handler binary.
  * New upstream release (5.93.0).



=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.5.0~) [linux-any],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons.git
Rules-Requires-Root: no

Package: libkf6guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5guiaddons-bin,
Replaces: libkf5guiaddons-bin,
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains kde-geo-uri-handler.

Package: libkf6guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains shared data files.

Package: libkf6guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.0.0~),
         libkf6guiaddons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         qt6-wayland-dev (>= 6.6.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 This package contains development files for building software that uses
 libraries from the kguiaddon framework

Package: libkf6guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui (documentation)
 Qt widgets for colours, fonts and text
 .
 This package contains the qch documentation files.

Package: libkf6guiaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6guiaddons-bin (= ${binary:Version}),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

## kf6-kguiaddons 6.6.0

=== debian/changelog ===
kf6-kguiaddons (6.6.0-1deepin1) unstable; urgency=medium

  * update symbols.

 -- lichenggang <lichenggang@deepin.org>  Thu, 21 Nov 2024 14:57:31 +0800

kf6-kguiaddons (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.6.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 22:59:37 +0200

kf6-kguiaddons (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Update symbols file from the logs of buildds, and mark Linux-only symbols
    as such.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 16:11:49 +0200

kf6-kguiaddons (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:21:58 +0200

kf6-kguiaddons (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:22:49 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libxcb1-dev,

## kf6-kguiaddons 6.9.0

=== debian/changelog ===
kf6-kguiaddons (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:46:23 +0000

kf6-kguiaddons (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * Update symbols from build logs.
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:36:02 +0000

kf6-kguiaddons (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - Refresh symbols for all arches.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:29:04 +0100

kf6-kguiaddons (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:06:02 +0100

kf6-kguiaddons (6.5.0-0ubuntu2) oracular; urgency=medium

  * Version Breaks/Replaces libkf5guiaddons-bin to (<< 5.116.0-
    0ubuntu2~) to allow co-installability on upgrade.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Aug 2024 09:39:24 +0100

kf6-kguiaddons (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:22:50 +0100

kf6-kguiaddons (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:34:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kguiaddons
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libxcb1-dev,
@@ -22,15 +23,15 @@
                qt6-wayland-dev (>= 6.5.0~) [linux-any],
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kguiaddons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kguiaddons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kguiaddons
 Rules-Requires-Root: no
 
 Package: libkf6guiaddons-bin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5guiaddons-bin,
-Replaces: libkf5guiaddons-bin,
+Breaks: libkf5guiaddons-bin (<< 5.116.0-0ubuntu2~),
+Replaces: libkf5guiaddons-bin (<< 5.116.0-0ubuntu2~),
 Description: additional addons for QtGui
  Qt widgets for colours, fonts and text
  .
@@ -48,7 +49,7 @@
 Package: libkf6guiaddons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.0.0~),
+Depends: libkf6coreaddons-dev (>= 6.9.0~),
          libkf6guiaddons6 (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0+dfsg~),
          qt6-wayland-dev (>= 6.6.0~) [linux-any],

## kf6-kguiaddons 6.10.0

=== debian/changelog ===
kf6-kguiaddons (6.10.0-4+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 6.5.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 05 Sep 2024 16:47:44 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 23 Jan 2025 00:27:11 +0000

kf6-kguiaddons (6.10.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Limit plasma-wayland-protocols dependency to linux architectures
    (Thanks Samuel Thibault). (Closes: #1093372)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Jan 2025 13:48:10 +0100

kf6-kguiaddons (6.10.0-3) unstable; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Jan 2025 15:06:37 -0500

kf6-kguiaddons (6.10.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Build and package the qml6-module-org-kde-guiaddons module.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Jan 2025 23:15:00 +0100

kf6-kguiaddons (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:23:06 +0100

kf6-kguiaddons (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.8.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 11:58:51 +0100

kf6-kguiaddons (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:25 -0600

=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.10.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.15.0~) [linux-any],
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev (>= 6.6.0~),
               qt6-declarative-dev,
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.6.0~) [linux-any],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons.git
Rules-Requires-Root: no

Package: libkf6guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5guiaddons-bin,
Replaces: libkf5guiaddons-bin,
Description: geographical URI helper
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains kde-geo-uri-handler for opening geographical URIs.

Package: libkf6guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains architecture-independent shared data files for the
 kguiaddons framework.

Package: libkf6guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.7.0~),
         libkf6guiaddons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         qt6-wayland-dev (>= 6.6.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains development files for building software that uses
 libraries from the kguiaddons framework.

Package: libkf6guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation files for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains the qch documentation files for the kguiaddons
 framework.

Package: libkf6guiaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6guiaddons-bin (= ${binary:Version}),
Description: utilities for graphical user interfaces
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.

Package: qml6-module-org-kde-guiaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: QML binding for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains the QML bindings for using KDE GUI addons inside QML
 applications.

## kf6-kguiaddons 6.10.0a

=== debian/changelog ===
kf6-kguiaddons (6.10.0a-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Build depend on qt6-declarative-dev.
  * New qml module package qml6-module-org-kde-guiaddons.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency
    detection.
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 11:49:56 +0000

=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.10.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.5.0~) [linux-any],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kguiaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kguiaddons
Rules-Requires-Root: no

Package: libkf6guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5guiaddons-bin (<< 5.116.0-0ubuntu2~),
Replaces: libkf5guiaddons-bin (<< 5.116.0-0ubuntu2~),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains kde-geo-uri-handler.

Package: libkf6guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains shared data files.

Package: libkf6guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.10.0~),
         libkf6guiaddons6 (= ${binary:Version}),
         qml6-module-org-kde-guiaddons (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         qt6-wayland-dev (>= 6.6.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 This package contains development files for building software that uses
 libraries from the kguiaddon framework

Package: libkf6guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui (documentation)
 Qt widgets for colours, fonts and text
 .
 This package contains the qch documentation files.

Package: libkf6guiaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6guiaddons-bin (= ${binary:Version}),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

Package: qml6-module-org-kde-guiaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

## kf6-kguiaddons 6.11.0

=== debian/changelog ===
kf6-kguiaddons (6.11.0-3) unstable; urgency=medium

  * Team upload.
  * Update the symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Mar 2025 21:53:01 +0100

kf6-kguiaddons (6.11.0-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update symbols file:
    - drop the private symbols of Wayland interfaces, which are hidden when
      generated using Qt 6.8 (Closes: #1100228)
    - update from the logs of buildds

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Mar 2025 20:46:44 +0100

kf6-kguiaddons (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:58:24 +0100

=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.11.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.15.0~) [linux-any],
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev (>= 6.6.0~),
               qt6-declarative-dev,
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.6.0~) [linux-any],
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons.git
Rules-Requires-Root: no

Package: libkf6guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5guiaddons-bin,
Replaces: libkf5guiaddons-bin,
Description: geographical URI helper
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains kde-geo-uri-handler for opening geographical URIs.

Package: libkf6guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains architecture-independent shared data files for the
 kguiaddons framework.

Package: libkf6guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.7.0~),
         libkf6guiaddons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         qt6-wayland-dev (>= 6.6.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains development files for building software that uses
 libraries from the kguiaddons framework.

Package: libkf6guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation files for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains the qch documentation files for the kguiaddons
 framework.

Package: libkf6guiaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6guiaddons-bin (= ${binary:Version}),
Description: utilities for graphical user interfaces
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.

Package: qml6-module-org-kde-guiaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: QML binding for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains the QML bindings for using KDE GUI addons inside QML
 applications.

## kf6-kguiaddons 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
project(KGuiAddons VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddQch)
include(ECMGenerateExportHeader)
include(ECMGeneratePkgConfigFile)
include(ECMMarkNonGuiExecutable)
include(ECMQmlModule)
include(CMakeDependentOption)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
option(BUILD_GEO_SCHEME_HANDLER "Build the geo: URI scheme handler. Disable this if you are building two major versions for co-installability in the older variant." ON)

if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    option(WITH_WAYLAND "Build with support for KModifierKeyInfo, KSystemClipboard and KKeySequenceRecorder inhibiting shortcuts on Wayland" ON)
    add_feature_info(WAYLAND ${WITH_WAYLAND} "KeySequenceEditor inhibiting shortcuts on Wayland")

    option(WITH_X11 "Build with support for KModifierKeyInfo on X11" ON)
    add_feature_info(X11 ${WITH_X11} "KeySequenceEditor inhibiting shortcuts on X11")
else()
    set(WITH_WAYLAND OFF)
    set(WITH_X11 OFF)
endif()

set(REQUIRED_QT_VERSION 6.6.0)

find_package(Qt6Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

if (WITH_WAYLAND)
    # Qt6GuiPrivate  must be found before Qt6WaylandClient
    if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
        find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    else()
        find_package(Qt6Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Private)
    endif()
endif()

if (WITH_X11)
    find_package(X11 REQUIRED MODULE)
    find_package(XCB REQUIRED MODULE COMPONENTS XCB)
    if(NOT QT_FEATURE_xcb)
        message(FATAL_ERROR "Qt xcb feature is missing for compilation with X11")
    endif()
endif()

if (WITH_WAYLAND)
    find_package(PlasmaWaylandProtocols 1.15.0 REQUIRED)
    find_package(Qt6WaylandClient ${REQUIRED_QT_VERSION} REQUIRED CONFIG)
    find_package(Wayland 1.9 REQUIRED Client)
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus (get color scheme information via XDG portals)" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    set(WITH_DBUS ON)
endif()

if (ANDROID)
    find_package(Gradle REQUIRED)
endif()

# For the Python bindings
find_package(Python3 3.9 COMPONENTS Interpreter Development)
find_package(Shiboken6)
find_package(PySide6)

set(kguiaddons_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kguiaddons_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KGUIADDONS
                        VERSION_HEADER "${kguiaddons_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6GuiAddonsConfigVersion.cmake"
                        SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.8
)

cmake_dependent_option(BUILD_PYTHON_BINDINGS "Generate Python Bindings" ON "TARGET Shiboken6::libshiboken AND TARGET PySide6::pyside6" OFF)
add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if (BUILD_PYTHON_BINDINGS)
    include(ECMGeneratePythonBindings)
    add_subdirectory(python)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6GuiAddons")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6GuiAddons_QCH
        FILE KF6GuiAddonsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6GuiAddonsQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6GuiAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6GuiAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6GuiAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6GuiAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


install(EXPORT KF6GuiAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6GuiAddonsTargets.cmake NAMESPACE KF6:: COMPONENT Devel)


install(FILES ${kguiaddons_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons COMPONENT Devel)

if (NOT WIN32)
    ecm_generate_pkgconfig_file(BASE_NAME KF6GuiAddons
      INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons
      DEPS Qt6Gui
    INSTALL)
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_library(KF6GuiAddons)
add_library(KF6::GuiAddons ALIAS KF6GuiAddons)

set_target_properties(KF6GuiAddons PROPERTIES
    VERSION     ${KGUIADDONS_VERSION}
    SOVERSION   ${KGUIADDONS_SOVERSION}
    EXPORT_NAME GuiAddons
)

target_sources(KF6GuiAddons PRIVATE
 colors/kcolorspaces.cpp
 colors/kcolorutils.cpp
 colors/kcolorcollection.cpp
 colors/kcolormimedata.cpp
 colors/kcolorschemewatcher.cpp
 colors/kcolorschemewatcherbackend.cpp
 colors/kcolorschemewatcher_qt.cpp
 colors/kwindowinsetscontroller.cpp
 text/kdatevalidator.cpp
 text/kwordwrap.cpp
 fonts/kfontutils.cpp
 util/kiconutils.cpp
 util/klocalimagecacheimpl.cpp
 util/kmodifierkeyinfo.cpp
 util/kmodifierkeyinfoprovider.cpp
 util/kurlhandler_p.cpp
 util/kcursorsaver.cpp
 util/kcountryflagemojiiconengine.cpp
 util/kjobwindows.cpp
 recorder/keyboardgrabber.cpp
 recorder/kkeysequencerecorder.cpp
 systemclipboard/qtclipboard.cpp
 systemclipboard/ksystemclipboard.cpp

 colors/kcolorspaces_p.h
 colors/kcolorutils.h
 colors/kcolorcollection.h
 colors/kcolormimedata.h
 text/kdatevalidator.h
 text/kwordwrap.h
 fonts/kfontutils.h
 util/kiconutils.h
 util/klocalimagecacheimpl.h
 util/kmodifierkeyinfo.h
 util/kmodifierkeyinfoprovider_p.h
 util/kurlhandler_p.h
 util/kcursorsaver.h
 util/kcountryflagemojiiconengine.h
 util/kjobwindows.h
 recorder/keyboardgrabber_p.h
 recorder/kkeysequencerecorder.h
 systemclipboard/qtclipboard_p.h
 systemclipboard/ksystemclipboard.h
)

ecm_qt_declare_logging_category(KF6GuiAddons
    HEADER kguiaddons_debug.h
    IDENTIFIER KGUIADDONS_LOG
    CATEGORY_NAME kf.guiaddons
    DESCRIPTION "KGuiAddons"
    EXPORT KGUIADDONS
)

if(WIN32)
    target_sources(KF6GuiAddons PRIVATE colors/kcolorschemewatcher_win.cpp)
    target_link_libraries(KF6GuiAddons PRIVATE advapi32)
endif()

if(APPLE)
    find_library(APPKIT_LIBRARY AppKit)
    target_sources(KF6GuiAddons PRIVATE colors/kcolorschemewatcher_mac.mm)
    target_link_libraries(KF6GuiAddons PRIVATE ${APPKIT_LIBRARY})
endif()

if(WITH_DBUS)
    target_sources(KF6GuiAddons PRIVATE colors/kcolorschemewatcher_xdg.cpp)
    target_link_libraries(KF6GuiAddons PRIVATE Qt6::DBus)
endif()

if(WITH_WAYLAND)
    if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
        set(private_code_option  "PRIVATE_CODE")
    endif()
    qt_generate_wayland_protocol_client_sources(KF6GuiAddons
        FILES
            "${CMAKE_CURRENT_SOURCE_DIR}/recorder/keyboard-shortcuts-inhibit-unstable-v1.xml"
            "${CMAKE_CURRENT_SOURCE_DIR}/systemclipboard/wlr-data-control-unstable-v1.xml"
            "${PLASMA_WAYLAND_PROTOCOLS_DIR}/keystate.xml"
            "${Wayland_DATADIR}/wayland.xml"
        ${private_code_option}
    )
    target_sources(KF6GuiAddons PRIVATE
        recorder/waylandinhibition.cpp
        systemclipboard/waylandclipboard.cpp
        util/kmodifierkeyinfoprovider_wayland.cpp
        recorder/waylandinhibition_p.h
        systemclipboard/waylandclipboard_p.h
        util/kmodifierkeyinfoprovider_wayland.h
    )
    target_compile_definitions(KF6GuiAddons PRIVATE WITH_WAYLAND)
    target_link_libraries(KF6GuiAddons PRIVATE Qt6::GuiPrivate Qt6::WaylandClient Wayland::Client)
endif()

if(WITH_X11)
    target_sources(KF6GuiAddons PRIVATE util/kmodifierkeyinfoprovider_xcb.cpp util/kmodifierkeyinfoprovider_xcb.h)
    target_link_libraries(KF6GuiAddons PRIVATE X11::Xkb XCB::XCB)
endif()

if(ANDROID)
    add_subdirectory(android)
endif()

ecm_generate_export_header(KF6GuiAddons
    BASE_NAME KGuiAddons
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.3 6.12
)

set(kguiaddons_INCLUDES
  ${CMAKE_CURRENT_SOURCE_DIR}/colors
  ${CMAKE_CURRENT_SOURCE_DIR}/fonts
  ${CMAKE_CURRENT_SOURCE_DIR}/text
  ${CMAKE_CURRENT_SOURCE_DIR}/util
  ${CMAKE_CURRENT_SOURCE_DIR}/recorder
  ${CMAKE_CURRENT_SOURCE_DIR}/systemclipboard
  )
target_include_directories(KF6GuiAddons PUBLIC "$<BUILD_INTERFACE:${kguiaddons_INCLUDES}>")
target_include_directories(KF6GuiAddons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons>" )
target_compile_definitions(KF6GuiAddons INTERFACE "$<INSTALL_INTERFACE:KGUIADDONS_LIB>")
target_link_libraries(KF6GuiAddons PUBLIC Qt6::Gui)

qt_extract_metatypes(KF6GuiAddons)

ecm_generate_headers(KGuiAddons_HEADERS
  HEADER_NAMES
  KColorUtils
  KColorCollection
  KColorMimeData
  KColorSchemeWatcher
  KWindowInsetsController

  RELATIVE colors
  REQUIRED_HEADERS KGuiAddons_HEADERS
)
ecm_generate_headers(KGuiAddons_HEADERS
  HEADER_NAMES
  KDateValidator
  KWordWrap

  RELATIVE text
  REQUIRED_HEADERS KGuiAddons_HEADERS
)
ecm_generate_headers(KGuiAddons_HEADERS
  HEADER_NAMES
  KFontUtils

  RELATIVE fonts
  REQUIRED_HEADERS KGuiAddons_HEADERS
)
ecm_generate_headers(KGuiAddons_HEADERS
  HEADER_NAMES
  KIconUtils
  KImageCache
  KModifierKeyInfo
  KCursorSaver
  KCountryFlagEmojiIconEngine
  KJobWindows

  RELATIVE util
  REQUIRED_HEADERS KGuiAddons_HEADERS
)

ecm_generate_headers(KGuiAddons_HEADERS
    HEADER_NAMES
    KKeySequenceRecorder

    RELATIVE recorder
    REQUIRED_HEADERS KGuiAddons_HEADERS
)

#add_subdirectory(systemclipboard)

ecm_generate_headers(KGuiAddons_HEADERS
    HEADER_NAMES
    KSystemClipboard

    RELATIVE systemclipboard
    REQUIRED_HEADERS KGuiAddons_HEADERS
)

install(TARGETS KF6GuiAddons EXPORT KF6GuiAddonsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kguiaddons_export.h
  util/kmodifierkeyinfoprovider_p.h
  util/klocalimagecacheimpl.h # implementation detail, no forwarding header
  ${KGuiAddons_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF6GuiAddons_QCH
        NAME KGuiAddons
        BASE_NAME KF6GuiAddons
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KGuiAddons_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Gui_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
            ${kguiaddons_INCLUDES}
        BLANK_MACROS
            KGUIADDONS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

ecm_qt_install_logging_categories(
    EXPORT KGUIADDONS
    FILE kguiaddons.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

if(BUILD_TESTING)
    add_executable(pasteclient systemclipboard/tests/paste.cpp)

    target_link_libraries(pasteclient
        KF6GuiAddons
    )
endif()

if (NOT ANDROID AND BUILD_GEO_SCHEME_HANDLER)
    add_subdirectory(geo-scheme-handler)
endif()

if (TARGET Qt6::Qml)
    add_subdirectory(qml)
endif()

=== debian/changelog ===
kf6-kguiaddons (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:51:56 +0000

kf6-kguiaddons (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:47:41 +0000

=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.12.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.5.0~) [linux-any],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kguiaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kguiaddons
Rules-Requires-Root: no

Package: libkf6guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5guiaddons-bin (<< 5.116.0-0ubuntu2~),
Replaces: libkf5guiaddons-bin (<< 5.116.0-0ubuntu2~),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains kde-geo-uri-handler.

Package: libkf6guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains shared data files.

Package: libkf6guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.12.0~),
         libkf6guiaddons6 (= ${binary:Version}),
         qml6-module-org-kde-guiaddons (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         qt6-wayland-dev (>= 6.6.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 This package contains development files for building software that uses
 libraries from the kguiaddon framework

Package: libkf6guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui (documentation)
 Qt widgets for colours, fonts and text
 .
 This package contains the qch documentation files.

Package: libkf6guiaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6guiaddons-bin (= ${binary:Version}),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

Package: qml6-module-org-kde-guiaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifneq (linux,$(DEB_HOST_ARCH_OS))
	EXTRA_CMAKE_ARGS += -DWITH_WAYLAND=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF $(EXTRA_CMAKE_ARGS)

override_dh_auto_test:
	# Disable auto tests at build time
	:
